### Method

# Gsk GLShaderget_arg_float

#### Declaration [src]

    float
    gsk_gl_shader_get_arg_float (
      GskGLShader* shader,
      GBytes* args,
      int idx
    )

#### Description [src]

Gets the value of the uniform `idx` in the `args` block.

The uniform must be of float type.

#### Parameters

`args`

  Type: `GBytes`

  Uniform arguments.

  The data is owned by the caller of the method.

`idx`

  Type: `int`

  Index of the uniform.

#### Return value

Type: `float`

The value.